Oxid 6.1.x kompatibilität mit MariaDB 10.3

Hallo Community,

mein Hoster will demnächst Server-Updates einspielen und im Zuge dessen wird MariaDB von 10.1 auf 10.3 aktualisiert.

Die Frage ist jetzt, ob der OXID-Shop in der Version 6.1 mit MariaDB 10.3 kompatibel ist / sein sollte.

Ein Update auf die Shop-Version auf z.B. 6.3 ist zwar geplant, aber im Moment mangels Zeit nicht umsetzbar…

Vielen Dank schonmal!
LG Markus

Moin :slight_smile:

in der technischen Dokumentation für die 6.2 Serie steht die MariaDB Version 10.4 als getestet vermerkt drin Server and system requirements — OXID eShop 6.2 | User documentation

Da bereits der Shop anscheinend unter der Version 10.1 lief spricht nichts dagegen, dass dies auch mit der Version 10.3 hinhaut.

Im Einzelfall sollte man das Verhalten des Shops individuell testen ob noch alles funktioniert wie gewohnt oder ob Fehler in den Logs sich ansammeln. Dies ließe sich bereits über ein lokales Abbild vom Shop testen.

Ja, mittelfristig wäre gut auf die 6.5er Serie zu aktualisieren.

Viele Grüße
Tim

Moin, die OXID 6.1 lief mit MariaDB auch schon!
Bei manchen Kunden kam es zu diesem Problem, wie in dem Fred beschrieben.

Das in der Tat bisschen verwirrend. Mir eben erst aufgefallen im Thread Titel steht 6.1.x und im Thread Beschreibung steht 6.2

MariaDB läuft seit Ewigkeiten ohne Probleme. Dass Anführungszeichen ist aufgetreten als man den SQL Standard für Default Werte angepasst und gemerkt hat, dass ein Default Wert auch eine Funktion sein kann.
War übrigens irgendwann im Sommer 2018, wenn ich mich recht erinnere.

Gruss
Marcel

Ach du heilige… da hab ich einen Fehler gemacht! Natürlich geht es darum, ob der Shop in der 6.1er Version mit MariaDB 10.3 läuft (habs auch oben geändert).

Natürlich ist das verwirrend… SORRY.

Aber erstmal Danke für die Antworten!

Ich werde mir das mal anschauen, ob ich nicht doch zusehe, dass ich das Update auf > 6.2 mache!
Ansonsten heißt es mal wieder “probieren geht über studieren” und ich schau, ob nach dem Update noch alles läuft…

LG Markus

Nichts für ungut. < 6.2 bedeutet 6.1 oder kleiner. Aber ich denke, es wurde verstanden. Die Probleme sind nämlich immer dieselben. :wink:

Ich sollte mich mal etwas konzentrieren wenn ich antworte… :wink:

1 Like

Ich denke, hier ist jeder froh, dass überhaupt noch jemand schreibt. Lieber mit kleinen Fehlern als garnicht :sweat_smile:

2 Likes